User login
Qlustar: Install and enjoy!

[QSA-0210201] Linux kernel vulnerabilities

Qlustar Security Advisory 0210201

Feb 10th, 2020


Summary:

The system could crash or be made to run programs as an administrator.


    Package(s)       : linux-image-ql-generic,
                       qlustar-module-core-xenial-amd64-10.1.1,
                       qlustar-module-core-bionic-amd64-11.0.0,
                       qlustar-module-core-centos7-amd64-11.0.0
    Qlustar releases : 10.1, 11.0
    Affected versions: All versions prior to this update
    Vulnerability    : privilege escalation/denial of service
    Problem type     : local
    Qlustar-specific : no
    CVE Id(s)        : Not documented
  

A number of vulnerabilities and bugs have been discovered in the 4.19.x Linux kernel series since the last Qlustar 11.0 release based on 4.19.93. They may lead to a denial of service or privilege escalation. Please check the following web pages that contain details of the fixes in each release after 4.19.93 up to the current Qlustar kernel 4.19.102:

    Linux kernel 4.19.102
    Linux kernel 4.19.101
    Linux kernel 4.19.100
    Linux kernel 4.19.99
    Linux kernel 4.19.98
    Linux kernel 4.19.97
    Linux kernel 4.19.96
    Linux kernel 4.19.95
    Linux kernel 4.19.94
   

A number of vulnerabilities and bugs have been discovered in the 4.14.x Linux kernel series since the last Qlustar 10.1 release based on 4.14.162. They may lead to a denial of service or privilege escalation. Please check the following web pages that contain details of the fixes in each release after 4.14.162 up to the current Qlustar kernel 4.14.170:

    Linux kernel 4.14.170
    Linux kernel 4.14.169
    Linux kernel 4.14.168
    Linux kernel 4.14.167
    Linux kernel 4.14.166
    Linux kernel 4.14.165
    Linux kernel 4.14.164
    Linux kernel 4.14.163
  

Update instructions:

The problem can be corrected by updating your system to the following or more recent package versions (follow the Qlustar Update Instructions and on Qlustar 11 also perform the manual step '10. Adjust root bash shell initialization' as described in the Release Notes if you haven't done so yet):

For Qlustar 11.0

    linux-image-ql-generic                     4.19.102-ql-generic-11.0-14
    qlustar-module-core-bionic-amd64-11.0.0    11.0.0.7-b515f1280
    qlustar-module-core-centos7-amd64-11.0.0   11.0.0.7-b515f1280
  

For Qlustar 10.1

    linux-image-ql-generic                     4.14.170-ql-generic-10.1-25
    qlustar-module-core-xenial-amd64-10.1.1    10.1.1.11-b509f1279
  
glqxz9283 sfy39587stf02 mnesdcuix8
sfy39587stf03
sfy39587p08